package com.dayou.service.impl;

import com.dayou.entity.ItemStageUser;
import com.dayou.mapper.ItemStageUserMapper;
import com.dayou.service.IItemStageUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.vo.ItemStageUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import java.util.Set;

import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 项目人员阶段参与表 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Service
public class ItemStageUserServiceImpl extends ServiceImpl<ItemStageUserMapper, ItemStageUser> implements IItemStageUserService {

    @Autowired
    private ItemStageUserMapper stageUserMapper;

    @Override
    @SuppressWarnings("unchecked")
    public Page<ItemStageUser> selectPage(Page page,ItemStageUser itemStageUser){
        return this.page(page, new QueryWrapper<ItemStageUser>(itemStageUser));
    }


    @Override
    public ItemStageUser detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(ItemStageUser itemStageUser){
        return  this.save(itemStageUser);
    }

    @Override
    public Boolean update(ItemStageUser itemStageUser){
        return  this.updateById(itemStageUser);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

    @Override
    public Set<ItemStageUserVO> getList(Long stageId) {
        Set<ItemStageUserVO> list = stageUserMapper.getList(stageId);
        return list;
    }
}
